Subject: Re: linux-next: Tree for Aug 24 (dynamic_debug)

From: Jason Baron <[email-masked]>
Date: Tue, 27 Sep 2011 09:27:18 -0400

On Mon, Sep 26, 2011 at 04:17:02PM -0700, David Brown wrote:
> On Wed, Aug 24, 2011 at 02:09:02PM -0700, Greg KH wrote:
> > On Wed, Aug 24, 2011 at 12:42:48PM -0700, Randy Dunlap wrote:
> > > On Wed, 24 Aug 2011 15:32:45 -0400 Jason Baron wrote:
> > > 
> > > > On Wed, Aug 24, 2011 at 10:25:51AM -0700, Randy Dunlap wrote:
> > > > > On Wed, 24 Aug 2011 16:04:04 +1000 Stephen Rothwell wrote:
> > > > > 
> > > > > > Hi all,
> > > > > 
> > > > > When CONFIG_NET is not enabled (I see this on i386 builds):
> > > > > 
> > > > > lib/built-in.o: In function `__dynamic_netdev_dbg':
> > > > > (.text+0x9fda): undefined reference to `__netdev_printk'
> > > > > 
> > > > > ---
> > > > > ~Randy
> > > > > *** Remember to use Documentation/SubmitChecklist when testing your code ***
> > > > 
> > > > Ok, we probably want something, like below, although something keeps
> > > > selecting CONFIG_NET, when I try to unset it, in my .config...so not yet
> > > > tested, but should work.
> > > 
> > > Yes, that works.  Thanks.
> > > 
> > > Acked-by: Randy Dunlap <[email-masked]>
> > 
> > Nice.
> > 
> > Jason, care to resend this, with a proper signed-off-by, so that I can
> > apply it to fix this build error?
> 
> Any status on this, Jason?  This seems to still be broken in
> linux-next.
> 
> Thanks,
> David
> 

Yes, this needs to be resolved asap. I'm sending this to Andrew Morton 
b/c these patches have been merged in the -mm tree. I'm guessing
that b/c of the kernel.org outage they aren't showing up in -next? Since
this has dragged on and on, perhaps, those patches can be moved
somewhere else so they can be pulled into -next. Andrew?

Thanks,

-Jason